=== debian/control ===
Source: ros-kinetic-jskeus
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-euslisp
Homepage: http://euslisp.github.io/jskeus/manual.html
Standards-Version: 3.9.2

Package: ros-kinetic-jskeus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-euslisp
Description: EusLisp software developed and used by JSK at The University of Tokyo
